# eoDeterministicSurviveAndDie< EOT > Class Template Reference

An instance (theonly one as of today, Dec. More...

`#include <eoSurviveAndDie.h>`

Inheritance diagram for eoDeterministicSurviveAndDie< EOT >:

List of all members.

## Public Member Functions

| eoDeterministicSurviveAndDie (double _survive, double _die, bool _interpret_as_rate=true)
| constructor
void | operator() (eoPop< EOT > &_pop, eoPop< EOT > &_luckyGuys)
| The pure virtual function that needs to be implemented by the subclass.

## Detailed Description

### template<class EOT>
class eoDeterministicSurviveAndDie< EOT >

An instance (theonly one as of today, Dec.

20, 2000) of an eoSurviveAndDie, that does everything deterministically

Used in eoDeterministicSaDReplacement.

Definition at line 73 of file eoSurviveAndDie.h.

The documentation for this class was generated from the following file:

- eoSurviveAndDie.h